/*
 *	spGL_Xm.h
 */

#ifndef __SPGL_XM_H
#define __SPGL_XM_H

#include <X11/Xlib.h>
#include <GL/glx.h> 
#include <Xm/Xm.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _spGLVisualArchPart {
    int glx_major_version;
    int glx_minor_version;

    spGLAttribute *core_attributes;
    spGLAttribute *context_attributes;
    
    XVisualInfo *visual_info;
    int fb_num_config;
    GLXFBConfig *fb_configs;
} spGLVisualArchPart;

typedef struct _spGLContextArchPart {
    Display *display;
    GLXContext context;
    char *ext_list;
} spGLContextArchPart;
    
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPGL_XM_H */
